com.sun.tdk.specdiff.html.report

## Class MixedJavadocReportFormatter

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter
    - - com.sun.tdk.specdiff.html.report.DiffReportFormatter
      - - com.sun.tdk.specdiff.html.report.MixedJavadocReportFormatter

- All Implemented Interfaces:
    DifferModule, ReportFormatter

      public class MixedJavadocReportFormatter
      extends DiffReportFormatter

  A formatter to be used for documents compiled by the `MixedJavadocProjectCompiler`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MixedJavadocReportFormatter.Adjuster` Tunes report formatter if needed.

  - ### Field Summary

    - ### Fields inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `CLASS_PARAM, GENERIC_HTML_PROBLEM_XSL, GENERIC_HTML_REPORT_XSL, GENERIC_HTML_STAT_XSL, PROBLEM_XSL_PARAM_NAME, REPORT_XSL_PARAM_NAME, STAT_XSL_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixedJavadocReportFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `format(java.io.File xmlReportFile, java.io.File xmlStatFile)` Produce human-readable reports from XML diff report at `xmlReportFile` and XML statistics report at `xmlStatFile`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.DiffReportFormatter

      `getConfigurationPath`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `createReportFormatter, getProblemXsl, getReportCaption, getReportXsl, getStatisticsXsl, htmlIndex, htmlProblem, htmlReport, htmlStat, init, setHtmlReportFile, setHtmlStatFile, setIndexHtmlFile, setPackageName, setPicsDir, setProblemXsl, setReportCaption, setReportXsl, setStatisticsXsl, setupOverview`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.tdk.specdiff.html.DifferModule

      `getParameters`

- - ### Constructor Detail

    - #### MixedJavadocReportFormatter

          public MixedJavadocReportFormatter()

  - ### Method Detail

    - #### format

          public java.io.File format(java.io.File xmlReportFile,
                                     java.io.File xmlStatFile)
                              throws java.io.IOException

      Description copied from interface: `ReportFormatter`
      Produce human-readable reports from XML diff report at `xmlReportFile` and XML statistics report at `xmlStatFile`
      Specified by:
        `format` in interface `ReportFormatter`
      Overrides:
        `format` in class `AbstractDiffReportFormatter`
      Throws:
        `java.io.IOException`